import httpRequest from '@/utils/axios'

/**
 * 获取班级列表
 */
export function getTeacherList(params) {
  return httpRequest.get('/api/zy/school/teacher/list', { params })
}

/**
 * 获取教师详情
 */
export function getTeacherDetail(params) {
  return httpRequest.get('/api/zy/school/teacher/view', { params })
}

/**
 * 教师添加/创建
 */
export function createTeacher(data) {
  return httpRequest.post('/api/zy/school/teacher/add', data)
}

/**
 * 修改教师
 */
export function updateTeacher(data) {
  return httpRequest.post('/api/zy/school/teacher/update', data)
}

/**
 * 删除教师
 */
export function deleteTeacher(data) {
  return httpRequest.post('/api/zy/school/teacher/delete', data)
}
/**
 * 导入教师
 */
export function importTeacher(data) {
  return httpRequest({
    url: '/api/zy/school/teacher/import',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data,
    withCredentials: true
  })
}
